Update a timesheet
curl --request PATCH \
--url https://app.usequeue.com/api/v1/timesheets/{timesheet_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"task_id": "LgFv67mHFVGTrvmBG8nUZuV6",
"start_time": "2025-01-18T15:00:00.000Z",
"end_time": "2025-01-18T16:00:00.000Z",
"notes": "Worked on setup",
"billable": true,
"billable_rate": 100.25
}
'import requests
url = "https://app.usequeue.com/api/v1/timesheets/{timesheet_id}"
payload = {
"task_id": "LgFv67mHFVGTrvmBG8nUZuV6",
"start_time": "2025-01-18T15:00:00.000Z",
"end_time": "2025-01-18T16:00:00.000Z",
"notes": "Worked on setup",
"billable": True,
"billable_rate": 100.25
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
task_id: 'LgFv67mHFVGTrvmBG8nUZuV6',
start_time: '2025-01-18T15:00:00.000Z',
end_time: '2025-01-18T16:00:00.000Z',
notes: 'Worked on setup',
billable: true,
billable_rate: 100.25
})
};
fetch('https://app.usequeue.com/api/v1/timesheets/{timesheet_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"timesheet": {
"id": "V5xkqELXjhGwSpDJSWXGHumZ",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"task": {
"id": "LgFv67mHFVGTrvmBG8nUZuV6",
"title": "11"
},
"project": {
"id": "3c82c4be",
"title": "AirBnB edited"
},
"user": {
"username": "Masud Hossain",
"email": "masud@yopmail.com",
"avatar": "<string>"
},
"is_active": true,
"elapsed_time": 123,
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"duration": 3600,
"notes": "<string>",
"billable": true,
"billable_rate": 123,
"finished": true,
"formatted_duration": "1 hours, 0 minutes, 0 seconds",
"short_formatted_duration": {
"display": "1h 0m",
"decimal": 1
},
"hourly_rate": "100.25"
}
}Timesheets
Update Timesheet
PATCH
/
timesheets
/
{timesheet_id}
Update a timesheet
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Duration of the timesheet in milliseconds
Body
application/json
The body is of type object.
⌘I

